diff --git a/docs/en_US/pgagent_jobs.rst b/docs/en_US/pgagent_jobs.rst
index f0f057a6..be3b4f1b 100644
--- a/docs/en_US/pgagent_jobs.rst
+++ b/docs/en_US/pgagent_jobs.rst
@@ -69,6 +69,9 @@ Use fields on the step definition dialog to define the step:
   * If you select *Batch*, use the *Code* tab to provide the batch script that
     will be executed during the step.
 
+.. note:: The fields *Connection type*, *Database* and *Connection string* are only
+    applicable when *SQL* is selected because *Batch* cannot be run on remote servers.
+
 * Use the *Connection type* switch to indicate if the step is performed on a
   local server (*Local*) or on a remote host (*Remote*).  If you specify a
   remote connection should be used for the step, the *Connection string* field
diff --git a/docs/en_US/theme/pgadmin4/static/style.css b/docs/en_US/theme/pgadmin4/static/style.css
index 873b60de..f41e42b3 100755
--- a/docs/en_US/theme/pgadmin4/static/style.css
+++ b/docs/en_US/theme/pgadmin4/static/style.css
@@ -468,6 +468,10 @@ i, cite, em, var, address, dfn {
     font-style: italic;
 }
 
+div.note em {
+    background-color: transparent;
+}
+
 em {
     background-color: #fff;
 }
